package com.kmall.api.entity.mk;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店推广实体
 * 表名 mk_store_prom
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
public class MkStorePromVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 推广ID
     */
    private Integer promId;
    /**
     * 推广名称
     */
    private String promName;

    private Integer thirdMerchSn;

    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 推广起始时间，yyyy-MM-dd HH:mi
     */
    private Date promBegTime;
    /**
     * 推广结束时间，yyyy-MM-dd HH:mi
     */
    private Date promEndTime;
    /**
     * 推广分类，【prom_type，00:活动，10:商品】
     */
    private String promType;
    /**
     * 活动分类
     */
    private Integer promTypeId;
    /**
     * 活动ID，不同活动对应的ID
     */
    private Integer storeTopicId;
    /**
     * 商品id
     */
    private Integer goodsId;
    /**
     * 推广url
     */
    private String promUrl;
    /**
     * 推广渠道ID
     */
    private Integer promChnlId;
    /**
     * 是否投放,0:是，1:否
     */
    private String isPut;
    /**
     * 是否结束,0:是，1:否
     */
    private String isFinished;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String promChnName;//渠道名称

    private String storeName;//门店名称

    private String goodsName;//商品名称

    private BigDecimal browseNum;//浏览量，统计查询

    private BigDecimal visitNum;//

    private BigDecimal payOrderNum;//支付单数，统计查询

    private BigDecimal receivMoney;//应收金额，统计查询

    private String promStat;//统计信息，查询列表展示

    private String inValidDate;//有效期，查询列表展示

    private String promInfo;//推广拼接信息，查询列表展示

    private String promPicUrl;//推广展示图片

    private String topicTitle;//活动名称

    private String itemPicUrl;//活动图片

    private String listPicUrl;//商品图片

    public String getPromPicUrl() {
        return promPicUrl;
    }

    public void setPromPicUrl(String promPicUrl) {
        this.promPicUrl = promPicUrl;
    }

    public String getItemPicUrl() {
        return itemPicUrl;
    }

    public void setItemPicUrl(String itemPicUrl) {
        this.itemPicUrl = itemPicUrl;
    }

    public String getListPicUrl() {
        return listPicUrl;
    }

    public void setListPicUrl(String listPicUrl) {
        this.listPicUrl = listPicUrl;
    }

    public String getTopicTitle() {
        return topicTitle;
    }

    public void setTopicTitle(String topicTitle) {
        this.topicTitle = topicTitle;
    }

    public String getPromInfo() {
        return promInfo;
    }

    public void setPromInfo(String promInfo) {
        this.promInfo = promInfo;
    }

    public String getInValidDate() {
        return inValidDate;
    }

    public void setInValidDate(String inValidDate) {
        this.inValidDate = inValidDate;
    }

    public String getPromStat() {
        return promStat;
    }

    public void setPromStat(String promStat) {
        this.promStat = promStat;
    }

    public String getPromChnName() {
        return promChnName;
    }

    public void setPromChnName(String promChnName) {
        this.promChnName = promChnName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public BigDecimal getBrowseNum() {
        return browseNum;
    }

    public void setBrowseNum(BigDecimal browseNum) {
        this.browseNum = browseNum;
    }

    public BigDecimal getVisitNum() {
        return visitNum;
    }

    public void setVisitNum(BigDecimal visitNum) {
        this.visitNum = visitNum;
    }

    public BigDecimal getPayOrderNum() {
        return payOrderNum;
    }

    public void setPayOrderNum(BigDecimal payOrderNum) {
        this.payOrderNum = payOrderNum;
    }

    public BigDecimal getReceivMoney() {
        return receivMoney;
    }

    public void setReceivMoney(BigDecimal receivMoney) {
        this.receivMoney = receivMoney;
    }

    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }

    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 设置：推广ID
     */
    public void setPromId(Integer promId) {
        this.promId = promId;
    }

    /**
     * 获取：推广ID
     */
    public Integer getPromId() {
        return promId;
    }
    /**
     * 设置：推广名称
     */
    public void setPromName(String promName) {
        this.promName = promName;
    }

    /**
     * 获取：推广名称
     */
    public String getPromName() {
        return promName;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：推广起始时间，yyyy-MM-dd HH:mi
     */
    public Date getPromBegTime() {
        return promBegTime;
    }

    public void setPromBegTime(Date promBegTime) {
        this.promBegTime = promBegTime;
    }

    /**
     * 设置：推广结束时间，yyyy-MM-dd HH:mi
     */
    public void setPromEndTime(Date promEndTime) {
        this.promEndTime = promEndTime;
    }
    /**
     * 获取：推广结束时间，yyyy-MM-dd HH:mi
     */
    public Date getPromEndTime() {
        return promEndTime;
    }
    /**
     * 设置：推广分类，【prom_type，00:活动，10:商品】
     */
    public void setPromType(String promType) {
        this.promType = promType;
    }

    /**
     * 获取：推广分类，【prom_type，00:活动，10:商品】
     */
    public String getPromType() {
        return promType;
    }
    /**
     * 设置：活动分类
     */
    public void setPromTypeId(Integer promTypeId) {
        this.promTypeId = promTypeId;
    }

    /**
     * 获取：活动分类
     */
    public Integer getPromTypeId() {
        return promTypeId;
    }
    /**
     * 设置：活动ID，不同活动对应的ID
     */
    public void setStoreTopicId(Integer topicId) {
        this.storeTopicId = topicId;
    }

    /**
     * 获取：活动ID，不同活动对应的ID
     */
    public Integer getStoreTopicId() {
        return storeTopicId;
    }
    /**
     * 设置：商品id
     */
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品id
     */
    public Integer getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：推广url
     */
    public void setPromUrl(String promUrl) {
        this.promUrl = promUrl;
    }

    /**
     * 获取：推广url
     */
    public String getPromUrl() {
        return promUrl;
    }
    /**
     * 设置：推广渠道ID
     */
    public void setPromChnlId(Integer promChnlId) {
        this.promChnlId = promChnlId;
    }

    /**
     * 获取：推广渠道ID
     */
    public Integer getPromChnlId() {
        return promChnlId;
    }
    /**
     * 设置：是否投放,0:是，1:否
     */
    public void setIsPut(String isPut) {
        this.isPut = isPut;
    }

    /**
     * 获取：是否投放,0:是，1:否
     */
    public String getIsPut() {
        return isPut;
    }
    /**
     * 设置：是否结束,0:是，1:否
     */
    public void setIsFinished(String isFinished) {
        this.isFinished = isFinished;
    }

    /**
     * 获取：是否结束,0:是，1:否
     */
    public String getIsFinished() {
        return isFinished;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
